@echo off
rem
rem Converting doml 5.* file into fo file.
rem
rem  doml2fo [-help] [doml5*-file] [fo-file] 
rem
rem  -help - Print usage message and exit.
rem
rem doml5*-file - doml file relese 5.*.
rem fo-file - desired target fo file
rem


set USAGE=doml2fo [-help] [doml5*-file] [fo-file]

set DODS_HOME=/home/prozone/3cks/rpm/tmp/tro-community-7.3.build_root/usr/local/tro-community-7.3

set PATH="/usr/lib/java\bin";%PATH%
set JAVACMD=java.exe

set DOML2FOXSL="%DODS_HOME%\build\xsl\doml2fo.xsl"

:start0
if exist %DOML2FOXSL% goto start
echo.
echo Unable to find necessary xsl file. Set DOML2FOXSL in this bat file.
echo.
goto exit

:start
if %1.==. goto error1
if %1==-help goto help
if %1==-* goto error2
if %1==* goto continue1
goto continue1

:error1
echo Error: There is not any arguments: %USAGE%
goto exit

:error2
echo Error: Invalid option: %USAGE%
goto exit

:error3
echo Error: There is not second argument: %USAGE%
goto exit

:error4
echo Error: There are more then two arguments: %USAGE%
goto exit

:help
echo.
echo Usage: %USAGE%
echo.
goto exit

:continue1
if %2.==. goto error3
if %2==-* goto error2
if %2==* goto continue2
goto continue2

:continue2
if %3.==. goto continue
goto error4


:continue
%JAVACMD%  -cp "%CLASSPATH%" org.apache.xalan.xslt.Process -in %1 -xsl %DOML2FOXSL% -out %2

:exit
